This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 431373 - Review Request: incollector - Information collector
Review Request: incollector - Information collector
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-03 14:49 EST by Krzysztof Kurzawski
Modified: 2008-02-05 06:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 06:48:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Kurzawski 2008-02-03 14:49:12 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/incollector/incollector.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/incollector/incollector-1.0-1.fc8.src.rpm
Description: Incollector is an application to collect various kinds of information 
(like notes, conversation logs, quotes, serial numbers, source code, 
web addresses, words). All the entries can be tagged, so you can find 
them very easily. There are also search folders which allows you to 
search for entries by specified criteria. You can also export 
(and import, of course) entries to an external file.
Comment 1 Parag AN(पराग) 2008-02-03 22:45:02 EST
build.log gave me
+ /usr/lib/rpm/find-lang.sh /var/tmp/incollector-1.0-1.fc9-root-mockbuild
incollector
No translations found for incollector in
/var/tmp/incollector-1.0-1.fc9-root-mockbuild
===> missing BR: gettext desktop-file-utils

any reason to exclude 
%exclude %{_datadir}/locale/be-latin/LC_MESSAGES/incollector.mo

Comment 2 Parag AN(पराग) 2008-02-03 22:58:38 EST
Source URL should be
http://www.incollector.devnull.pl/download/sources/%{name}-%{version}.tar.gz
Comment 3 Krzysztof Kurzawski 2008-02-04 03:09:14 EST
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/incollector/incollector.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/incollector/incollector-1.0-2.fc8.src.rpm

I exclude %exclude %{_datadir}/locale/be-latin/LC_MESSAGES/incollector.mo
because rpmlint warns:

incollector.i386: E: incorrect-locale-subdir
/usr/share/locale/be-latin/LC_MESSAGES/incollector.mo

Thanks for review!
Comment 4 Parag AN(पराग) 2008-02-04 04:17:12 EST
I think you can try to use sed to replace be-latin.* to be@latin.* in build
directory and also you need to have following %prep

pushd po
mv be-latin.po be@latin.po
mv be-latin.gmo be@latin.gmo
popd
Comment 5 Parag AN(पराग) 2008-02-04 04:23:04 EST
you just need to use following in %prep
sed -i 's|be-latin|be@latin|' configure
pushd po
mv be-latin.po be@latin.po
mv be-latin.gmo be@latin.gmo
popd

and this will solve your problem of rpmlint error.
Comment 7 Parag AN(पराग) 2008-02-04 05:23:38 EST
koji build failed
http://koji.fedoraproject.org/koji/taskinfo?taskID=394153

SHOULD:
   Not use macro for install command "%{__install} -p". Just use "install -p"
   Because you have not used macros for commands rm , make in spec.

Comment 8 Parag AN(पराग) 2008-02-04 05:34:04 EST
This worked for me 
ExclusiveArch: %ix86 x86_64 ppc 
Comment 9 Parag AN(पराग) 2008-02-04 05:45:30 EST
Actually it should be
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha
----from gtk-sharp2.spec
Comment 11 Krzysztof Kurzawski 2008-02-04 06:07:07 EST
Whooops I wrote bad link do SRPMS:

SRPM URL: http://kurzawa.nonlogic.org/rpm/incollector/incollector-1.0-3.fc8.src.rpm
Comment 12 Krzysztof Kurzawski 2008-02-04 06:07:48 EST
Here is correct link:

SRPM URL: http://kurzawa.nonlogic.org/rpm/incollector/incollector-1.0-4.fc8.src.rpm
Comment 13 Parag AN(पराग) 2008-02-04 07:19:25 EST
oops you add "----from gtk-sharp2.spec"
remove this text
Comment 15 Parag AN(पराग) 2008-02-04 07:45:04 EST
Review:
+ package builds in mock (rawhide i386).
koji build=>http://koji.fedoraproject.org/koji/taskinfo?taskID=394396
+ rpmlint is silent for SRPM
- rpmlint complains for RPM as
incollector.i386: E: no-binary
incollector.i386: E: only-non-binary-in-usr-lib
But these can be ignored for mono packages.
+ source files match upstream.
da510a279ebb5e8ebf9dbdcb2fc1cf18  incollector-1.0.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file handled correctly.
+ GUI app.

APPROVED.
Comment 16 Krzysztof Kurzawski 2008-02-04 07:51:19 EST
New Package CVS Request
=======================
Package Name: incollector
Short Description: Information collector
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 17 Kevin Fenzi 2008-02-04 14:43:38 EST
cvs done.
Comment 18 Krzysztof Kurzawski 2008-02-05 06:48:25 EST
Imported and built. Thanks again for review!

Note You need to log in before you can comment on or make changes to this bug.